Page MenuHomePhabricator

Update MAJOR version and remove mwDeprecated, url endpoint, and duplicate itemType: 'webpage' field publicationTitile
Closed, ResolvedPublic0 Story Points

Description

  • Remove url endpoint
  • Remove mwDeprecated format
  • Remove extra field "publicationTitle" in itemType 'webpage' in Scraper.
  • Update MAJOR version

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterRemove deprecated endpoint and format
mediawiki/services/citoid : masterFully restore Zotero data type integrity

Event Timeline

Mvolz created this task.Mar 22 2015, 11:16 AM
Mvolz claimed this task.
Mvolz raised the priority of this task from to High.
Mvolz updated the task description. (Show Details)
Mvolz added a project: Citoid.
Mvolz added subscribers: Aklapper, Mvolz.
Mvolz added a subscriber: Jdforrester-WMF.

@Jdforrester-WMF, does this look like an okay plan to you?

Mvolz updated the task description. (Show Details)Mar 22 2015, 11:17 AM
Mvolz set Security to None.
Mvolz added a subscriber: mobrovac.

@mobrovac, idem

Also should there be a separate branch for different versions?

If we are going to make such breaking changes, IMHO, we should start versioning the API to provide for earlier versions for a longer period of time. So, instead of citoid.wm.org/api, I'd like to see citoid.wm.org/v2/api and possibly citoid.wm.org/{v1/}url/ redirecting to the new version.

Mvolz added a comment.Mar 22 2015, 8:33 PM

At the very least I'd like to get rid of the duplicate field ASAP; I care less about the other bits and bobs.

Currently citoid is at 0.0.0 so we could simply release this as 1.0.0, which is the first public API versioning according to semvar.org (even a 0.1.0 version has no expectation of public API consistency.)

But yes, going forward, any non-backwards compatible changes should be versioned off in some way.

I'm not totally set on removing the url endpoint, or the mwdeprecated format, but the reality is I think only one user gadget is using it now, and they're using the labs version (which pops up with a warning!) which I can just not update for as long as it takes for them to move over to the production service.

Mvolz lowered the priority of this task from High to Medium.Mar 25 2015, 2:07 PM
Mvolz moved this task from Backlog to Service on the Citoid board.Apr 29 2015, 1:14 PM

Change 222898 had a related patch set uploaded (by Mvolz):
Fully restore Zotero data type integrity

https://gerrit.wikimedia.org/r/222898

Change 222898 merged by Mobrovac:
Fully restore Zotero data type integrity

https://gerrit.wikimedia.org/r/222898

Mvolz updated the task description. (Show Details)Jul 13 2015, 7:33 PM
Mvolz removed a project: Patch-For-Review.
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz removed a subscriber: gerritbot.
Mvolz claimed this task.Apr 10 2017, 11:55 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 10 2017, 11:55 AM

Change 347352 merged by Mobrovac:
[mediawiki/services/citoid@master] Remove deprecated endpoint and format

https://gerrit.wikimedia.org/r/347352

Mentioned in SAL (#wikimedia-operations) [2017-05-01T16:17:01Z] <mobrovac@naos> Started deploy [citoid/deploy@747777f]: Remove mwDeprecated - T93514

Mentioned in SAL (#wikimedia-operations) [2017-05-01T16:19:21Z] <mobrovac@naos> Finished deploy [citoid/deploy@747777f]: Remove mwDeprecated - T93514 (duration: 02m 19s)

mobrovac closed this task as Resolved.May 1 2017, 4:20 PM
mobrovac added a project: Services (done).
mobrovac updated the task description. (Show Details)
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 1 2017, 4:20 PM
Jdforrester-WMF set the point value for this task to 0.May 2 2017, 6:58 PM